
Redmine - Patch #4975

Add feature to automatically archive old projects

2010-03-03 16:09 - Aaron Fischer

Status: Closed Start date: 2010-03-03

Priority: Low Due date:  

Assignee:  % Done: 100%

Category: Projects Estimated time: 0.00 hour

Target version:    

Description

We host a lot of projects and we needed a solution to archive projects without activity. The included patch implement this feature.

Request <HOST>/sys/mark_all_inactive_projects and

status for all inactive projects (no activity since

one month) are changed to STATUS_INACTIVE.

All users which has permissions to reactivate

project receive a mail notification with a reactivate URL.

If user clicks link in mail project status changes

to active.

Request <HOST>/sys/archive_inactive_projects and

all inactive projects will be archived. (STATUS_ARCHIVED).

Exceptions:

projects newer than a month are not affected

if project has activity since mail it will not be archived

and will be set as STATUS_ACTIVE.

Related issues:

Related to Redmine - Feature #13725: Archive/close a project via API Closed

History

#1 - 2010-03-03 22:37 - Jean-Philippe Lang

- Category set to Projects

#2 - 2018-09-14 10:35 - Go MAEDA

- Related to Feature #13725: Archive/close a project via API added

#3 - 2021-07-09 05:20 - Go MAEDA

- Status changed from New to Closed

API to archive a project will be available in Redmine 5.0.0 (#35420).

You will be able to write a script to archive old projects using the API.

Files

0001-Add-feature-to-automatically-archive-old-projects.patch 44.4 KB 2010-03-03 Aaron Fischer
